#ifndef LOTTOHPP
#define LOTTOHPP

#include <string.h>

#include "selector.hpp"
#include "random.hpp"
#include "legend.hpp"

#define MAX_LOTTO_BUTTONS 6

class Lotto: public HorizontalSelector {

	int lotto_state;
	int number;

	RandomNumber value;
	void Refresh();
	void Clear();
	void MakeSound();
	int NextPick();

public:

	Lotto(int, int);
	void Update();
	void LeftButtonPressed();
	void LeftButtonReleased();
};

#endif
